Feeds:
Entradas
Comentarios

Archive for the ‘Drivers’ Category

Desde que empecé con Ubuntu 9.04 64 bits venía arrastrando un pequeño problema a la hora de ver vídeos online, o reproducir cualquier contenido flash. Por mucho que pulsara con el ratón en el botón PLAY que suele aparecer en el centro de la pantalla de reproducción no había forma de que se iniciara. Igualmente ocurre con el resto de controles: volumen, pasar a pantalla completa, etc…

Tenía que pulsar un montón de veces el ratón hasta que por fín, se ejecutaba la acción. Lo cierto es que era  un coñazo. Y esto, tanto en videos online (como Youtube y similares), como en cualquier acción que requisiera de flash.

Me enteré de que podía deberse a un fallo conocido en la versión 64 bits del paquete flashplugin-installer.

La solución es la siguiente:

– Desinstalamos la versión que tenemos en el sistema:

sudo aptitude purge flashplugin-installer

– Descargamos la última versión 64 bits de Flash:

wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

-Descomprimimos:

tar xvzf  libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

– Entramos al directorio que nos crea y copiamos el fichero libflashplayer.so a su sitio:

sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

Reiniciamos Firefox, y listo.

Read Full Post »

Webcam Creative NX Esta webcam se configura de una forma muy sencilla y rápida. Damos por sentado que una vez conectada al usb, nos aparece en el sistema de la siguiente forma:

$ lsusb
Bus 002 Device 002: ID 041e:401e Creative Technology, Ltd WebCam NX Pro

Necesitamos tener instalado module-assistant, así que si no lo tienes:

sudo aptitude install module-assistant

También necesitamos el driver GSPCA (Generic Software Package for Camera Adapter) y el modulo del mismo correspondiente a nuestra versión del kernel. Comprobamos esta última haciendo un:

$ uname -a
Linux Mordor 2.6.26-1-686 #1 SMP Wed Sep 10 16:46:13 UTC 2008 i686 GNU/Linux

Ya tenemos los datos, así que buscamos el paquete que coincida con nuestra versión del kernel:

$ aptitude search gspca-modules-  
gspca-modules-2.6-486                          
gspca-modules-2.6-686                            
gspca-modules-2.6-686-bigmem                     
gspca-modules-2.6-amd64                         
gspca-modules-2.6-openvz-686                    
gspca-modules-2.6-vserver-686                    
gspca-modules-2.6-vserver-686-bigmem             
gspca-modules-2.6.26-1-486                       
gspca-modules-2.6.26-1-686                       
gspca-modules-2.6.26-1-686-bigmem               
gspca-modules-2.6.26-1-amd64                     
gspca-modules-2.6.26-1-openvz-686              
gspca-modules-2.6.26-1-vserver-686              
gspca-modules-2.6.26-1-vserver-686-bigmem     

Ahora instalamos, preparamos y cargamos el módulo:

sudo aptitude install gspca-source gspca-modules-2.6.26-1-686
m-a prepare
-> m-a equivale a module-assistant, es una abreviatura
m-a a-i gspca-source -> a-i es auto-install
modprobe gspca -> cargamos el módulo

Listo. Entramos en cualquier programa que use la webcam, amsn por ejemplo, y la configuramos para poder usarla.

Read Full Post »

Tengo una ATI Radeon 9200SE 128 Mb. y al principio intenté instalar los drivers FGLRX de ATI, que digamos, son los que tienen una parte del código libre y otra no. Al final, no habiendo podido instalarlo correctamente, me recomendaron que instalara el driver libre.

Lo primero de todo, instalamos todo lo necesario (sobra decir ya que esto debemos hacerlo como root):

aptitude install mesa-utils libgl1-mesa-glx libglu1-mesa

Después editamos /etc/X11/xorg.conf y buscamos la sección Device. Debería haber una linea donde ponga Driver, la cual deberemos dejar de la siguiente manera (si no existe, la añadimos a la sección Device)

Driver "Radeon"

Reiniciamos kdm y listo (también podemos pulsar Ctrl +Alt + Backspace)

/etc/init.d/kdm restart

Para saber si tenemos aceleración 3D, utilizamos el comando siguiente:

anduim@Mordor:~$ glxinfo | grep "render"
direct rendering: Yes
OpenGL renderer string: Mesa DRI R200 20060602 AGP 8x x86/MMX/SSE2 TCL


Si obtenemos un Yes en direct rendering, está ok.

Si no funcionara, hacemos un dpkg-reconfigure xserver-xorg.

Read Full Post »